<template>
  <q-layout view="hHh Lpr fFf"> <!-- Be sure to play with the Layout demo on docs -->
    <!-- (Optional) The Header -->
    <q-header style="background: #61cb34;">
      <q-toolbar>
        <q-btn
          flat
          round
          dense
          icon="menu"
          @click="leftDrawer = !leftDrawer"
        />
        <q-toolbar-title>
          <q-img @click="$router.push('/')" src="~assets/logo_big.png" style="max-width: 11.53rem; margin: 2px"/>
        </q-toolbar-title>
        <q-btn flat round dense >
          <q-avatar>
            <img :src="user.avatar || 'avatar.jpg'">
          </q-avatar>
          <q-menu>
            <profile-nav :user="user"  />
          </q-menu>
        </q-btn>
      </q-toolbar>
    </q-header>
    <!-- (Optional) A Drawer; you can add one more with side="right" or change this one's side -->
    <q-drawer
      v-model="leftDrawer"
      side="left"
      bordered
      show-if-above
      content-class="bg-white-2"
    >
      <menu-samping></menu-samping>
      <menu-admin v-if="user.jenis_user == 1"></menu-admin>
    </q-drawer>
    <q-page-container>
      <!-- This is where pages get injected -->
      <router-view />
    </q-page-container>
    <q-footer class="mobile-only">
      <footer-nav />
    </q-footer>
  </q-layout>

</template>

<script>
import MenuSamping from "components/MenuSamping";
import MenuAdmin from "components/MenuAdmin";
import FooterNav from "components/FooterNav";
import ProfileNav from "components/ProfileNav";
export default {
  name: 'AuthLayout',
  beforeMount() {
    this.checkLogin();
  },
  components: {
    MenuSamping,
    FooterNav,
    MenuAdmin,
    ProfileNav
  },
  data () {
    return {
      leftDrawer: false,
      token: localStorage.getItem("token"),
      logo: "~assets/logo-big.png",
    }
  },
  methods: {
    async checkLogin() {
      if (this.token) {
        let config = {
          method: "post",
          url: "api/details",
          headers: {
            Authorization: "Bearer " + this.token
          }
        }
        this.$q.loading.show();
        await this.$axios(config)
          .then(response => {
            this.$store.commit("user/updateUserDetail", response.data.data);
          })
          .catch(error => {
            this.$router.push("/login")
            console.log(error)
          })
          .then(data => {
            this.$q.loading.hide();
          })
      } else {
        this.$router.push("/login")
      }
    }
  },
  computed: {
    user() {
      return this.$store.state.user.user
    }
  }
}
</script>
